Sie ermöglichen Workspace ONE-Benutzern den Zugriff auf von Citrix veröffentlichte Ressourcen, wenn Sie Ihre Citrix-Bereitstellung in VMware Identity Manager integrieren. Die von Citrix veröffentlichten Ressourcen umfassen Anwendungen und Desktops in den Citrix XenApp- und XenDesktop-Serverfarmen. Die Desktops werden als von Citrix veröffentlichte Bereitstellungsgruppen bezeichnet.

Sie verwalten von Citrix veröffentlichte Anwendungen und Desktops über die Citrix-Verwaltungsoberfläche. Sie legen auch die Benutzer- und Gruppenberechtigungen über die Citrix-Schnittstelle und nicht im VMware Identity Manager-Dienst fest. Sie müssen diese Benutzer und Gruppen mit dem VMware Identity Manager-Dienst von Active Directory synchronisieren, bevor Sie diese mit den Citrix-Serverfarmen integrieren.

Erstellen Sie eine oder mehrere Sammlungen virtueller App in der VMware Identity Manager-Konsole, um Citrix-Serverfarmen mit VMware Identity Manager zu integrieren. Die Sammlungen enthalten die Konfigurationsinformationen für die Serverfarmen sowie die Synchronisierungseinstellungen.

Sie können für die regelmäßige Synchronisierung der Ressourcen und Berechtigungen der einzelnen Sammlungen von den Citrix-Serverfarmen mit dem VMware Identity Manager-Dienst einen Synchronisierungsplan einrichten.

Nachdem Sie die Citrix-Serverfarmen integriert haben, können Sie die synchronisierten Ressourcen und Berechtigungen in der VMware Identity Manager-Konsole anzeigen. Sie können auch Einstellungen für ICA-Sitzungen bearbeiten, wie zum Beispiel die Einstellungen für die Auflösung oder Komprimierung. Sie können die Einstellungen allgemein für alle Citrix-Ressourcen im VMware Identity Manager-Katalog konfigurieren, jedoch auch für einzelne Citrix-Ressourcen.

Endbenutzer können von Citrix veröffentlichte Anwendungen und Desktops aus dem Workspace ONE-Portal oder der App starten. Sie installieren Citrix Receiver auf ihren Systemen und Geräten, um auf die Ressourcen zugreifen, für die sie über Berechtigungen verfügen.

Hinweis:

VMware Identity Manager unterstützt Citrix-Bereitstellungen, die Citrix NetScaler enthalten.

Unterstützte Versionen und Funktionen

  • VMware Identity Manager unterstützt Citrix XenApp 6.0 und 6.5, XenApp und XenDesktop 7.x und Citrix Virtual Apps und Desktops 7 1808.

    Hinweis:

    XenApp 5.x wird nicht mehr unterstützt.

  • VMware Identity Manager unterstützt die Citrix StoreFront-API 2.6 und höher.

  • VMware Identity Manager unterstützt nur die Authentifizierung mit Benutzername und Kennwort auf dem XenApp-Server oder NetScaler-Server. Andere Authentifizierungsmethoden wie die folgenden werden nicht unterstützt:

    • Smartcard

    • HTML 5

    • 2-Faktor-Authentifizierung

    • SAML-Authentifizierung (Citrix FAS)

  • Für Integration Broker, die VMware Identity Manager-Komponente, die mit der Citrix-Serverfarm kommuniziert, werden die Betriebssysteme Windows Server 2008 R2, Windows Server 2012, Windows Server 2012 R2 und Windows Server 2016 unterstützt.

  • Versionsanforderungen an Integration Broker:

    VMware Identity Manager oder Connector-Version

    Unterstützte Integration Broker-Version

    VMware Identity Manager 19.03

    19.03

    VMware Identity Manager Connector 19.03.0.0

    19.03

    VMware Identity Manager 3.3

    3.3

    VMware Identity Manager Connector 2018.8.1.0 (Connector mit VMware Identity Manager 3.3 freigegeben)

    3.3

    VMware Identity Manager 3.2

    3.2

    VMware Identity Manager Connector 2018.1.1.0 (Connector freigegeben mit VMware Identity Manager 3.2)

    3.2

    VMware Identity Manager 3.1

    3.1

    VMware Identity Manager Connector 2017.12.1.0 (Connector freigegeben mit VMware Identity Manager 3.1)

    3.1

    VMware Identity Manager 3.0

    3.0

    Mware Identity Manager Konnektor 2017.8.1.0 (Konnektor freigegeben mit VMware Identity Manager 3.0)

    3.0

    VMware Identity Manager 2.9.1 oder früher

    2.9.1 oder früher

    VMware Identity Manager Connector 2.9.1 oder früher

    2.9.1 oder früher

    Hinweis:

    Für die Verwendung der Citrix StoreFront-API ist Integration Broker 2.9.1 oder höher erforderlich. Für XenApp oder XenDesktop 7.x ist Integration Broker 2.6 oder höher erforderlich. Für die Verwendung der NetScaler-Funktion ist Integration Broker 2.4 oder höher erforderlich.

Hinweis:

Es wird empfohlen, die neueste verfügbare Version von VMware Identity Manager und seinen Komponenten zu verwenden.